Subject: [hybi] Moving forward: SHOULD use SRV?

From: Bruce Atherton <[email-masked]>
Date: Wed, 27 Jul 2011 16:56:54 -0700

> Guys, it feels like you're playing ping-pong here. It's fun for us to
> watch the ball go back and forth, but we're not moving forward. Can you
> see a way to make progress toward consensus?

My read of the situation is that we have established that requiring SRV 
lookups from Websockets clients with the use of MUST is out of the 
question. At least one browser vendor has said they will not implement 
it, and in addition there are the HTTP proxy and connection reuse 
issues. It looks to me like most of the advocates of that position are 
(reluctantly) accepting that it will not be adopted.

OTOH, a number of voices have been raised in support or acceptance of 
recommending the use of SRV records to resolve hostnames in Websocket 
URLs as a best practice through the use of the SHOULD keyword. Others 
(particularly on the ietf mailing list) have said that unless it is a 
MUST you shouldn't bother doing it at all.

Perhaps consensus (or lack of it) on this idea could be looked for at 
the meeting tomorrow.